%global momorel 3
%global md5sum_src0 7aa0c08fc8b9caabb4be46e1cfb595fc
%global pyver %(python -c 'import sys ; print sys.version[:3]')

Summary:  "Desktop Menu Specification" from freedesktop.org
Name: gnome-menus
Version: 2.14.0
Release: %{momorel}m
License: LGPL
Group: User Interface/Desktops

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: momonga-applications.menu
Source2: momonga-preferences.menu
Source3: momonga-settings.menu
Source4: momonga-gnome-Graphics-Extra.directory
Source5: momonga-gnome-Internet-Extra.directory

URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: pkgconfig >= 0.19
BuildPreReq: glib-devel >= 2.10.1
BuildPrereq: fam-devel >= 2.6.10
BuildPrereq: python >= 2.4.2
BuildPrereq: desktop-file-utils >= 0.10

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org.  Also contained here are the GNOME
menu layout configuration files, .directory files and assorted menu
related utility programs.

%package devel
Summary:        Libraries and include files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
This package provides the necessary development libraries for
writing applications that use the GNOME menu system.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}

%{__mkdir} -p %{buildroot}%{_datadir}/applications
perl -pi -e 's/NoDisplay=true/NoDisplay=false/' %{buildroot}%{_datadir}/applications/gmenu-simple-editor.desktop
DESKTOPS="gmenu-simple-editor.desktop"
for D in $DESKTOPS; do
        desktop-file-install --vendor= \
        --dir %{buildroot}%{_datadir}/applications      \
        --add-category Application      \
        --add-category Settings           \
        --add-category GNOME           \
        --add-only-show-in GNOME        \
        %{buildroot}%{_datadir}/applications/$D
done

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/python%{pyver}/site-packages/*.la

# 
#  Application Menu
#
mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome/menus
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/applications.menu
cp -f %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/preferences.menu
cp -f %{SOURCE3} %{buildroot}%{_sysconfdir}/xdg/gnome/menus/settings.menu
%__rm -rf %{buildroot}%{_sysconfdir}/xdg/menus

DIRS="Accessibility.directory Accessories.directory Applications.directory Desktop.directory Development.directory Education.directory Games.directory Graphics.directory Internet.directory Multimedia.directory Office.directory Other.directory Preferences.directory Settings-Accessibility.directory Settings.directory System-Settings.directory System-Tools.directory"
for i in $DIRS; do
    mv %{buildroot}%{_datadir}/desktop-directories/$i \
           %{buildroot}%{_datadir}/desktop-directories/gnome-$i
done
cp %{SOURCE4} %{buildroot}%{_datadir}/desktop-directories/gnome-Graphics-Extra.directory
cp %{SOURCE5} %{buildroot}%{_datadir}/desktop-directories/gnome-Internet-Extra.directory

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL NEWS README
%{_libdir}/*.so.*
%{_bindir}/gmenu-simple-editor
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.py
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.pyc
%{_libdir}/python%{pyver}/site-packages/GMenuSimpleEditor/*.pyo
%{_libdir}/python%{pyver}/site-packages/*.so
%{_datadir}/applications/gmenu-simple-editor.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/gnome-menus/glade/gmenu-simple-editor.glade
%{_datadir}/locale/*/*/*
%dir %{_sysconfdir}/xdg/gnome
%config %{_sysconfdir}/xdg/gnome/menus/*.menu

%files devel
%defattr(-, root, root)
%{_bindir}/gnome-menu-spec-test
%{_includedir}/gnome-menus/*.h
%{_libdir}/pkgconfig/libgnome-menu.pc
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/python%{pyver}/site-packages/*a

%changelog
* Sun Jul  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-3m)
- Adjustment momonga-applications.menu and momonga-preferences.menu

* Fri Jun 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- modify momonga-preferences.menu (Not KDE)

* Mon May  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Mon Apr 24 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.13.5-2m)
- add patch0

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-1m)
- update to 2.13.5

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.0-7m)
- revised packages owner

* Mon Mar  6 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-6m)
- update application menu

* Sun Dec  4 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-5m)
- update gmenu-simple-editor.desktop
- change applications menu
- add Source4,Source5 (menu-directory file)

* Sat Nov 26 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.12.0-4m)
- revise GNOME application menu setting files
- add Source1,2,3

* Thu Nov 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.0-3m)
- revise desktop file (for KDE)

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-2m)
- Delete under %{_sysconfdir} 
 
* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- start
- GNOME 2.12.1 Desktop
